{
  "mappings": {
    "dynamic": false,
    "fields": {
      "username": [
        {
          "type": "autocomplete",
          "tokenization": "edgeGram",
          "minGrams": 2,
          "maxGrams": 15,
          "foldDiacritics": true
        },
        {
          "type": "string",
          "analyzer": "lucene.keyword"
        }
      ],
      "name": [
        {
          "type": "autocomplete",
          "tokenization": "edgeGram",
          "minGrams": 2,
          "maxGrams": 15,
          "foldDiacritics": true
        },
        {
          "type": "string",
          "analyzer": "lucene.standard"
        }
      ],
      "stageName": [
        {
          "type": "autocomplete",
          "tokenization": "edgeGram",
          "minGrams": 2,
          "maxGrams": 15,
          "foldDiacritics": true
        },
        {
          "type": "string",
          "analyzer": "lucene.standard"
        }
      ]
    }
  }
}
